Package Details: php-cairo-git 1.0.0_dev.r9.g9662114-1

Git Clone URL: https://aur.archlinux.org/php-cairo-git.git (read-only)
Package Base: php-cairo-git
Description: PHP Object Oriented interface to Cairo Graphics library.
Upstream URL: https://github.com/gtkforphp/cairo
Licenses: PHP
Conflicts: php-cairo
Provides: php-cairo=1.0.0_dev.r9.g9662114
Submitter: jamesan
Maintainer: jamesan
Last Packager: jamesan
Votes: 1
Popularity: 0.000087
First Submitted: 2015-12-24 20:57
Last Updated: 2016-07-19 12:06

Latest Comments

mirh commented on 2016-08-27 14:13

Php7 support is still not complete
https://github.com/gtkforphp/cairo/issues/20

You should avoid it.

mirh commented on 2016-08-05 19:56

It's broken because it cannot find php-datastructures
Once you change the PKGBUILD to php-datastructures-git it works.

jamesan commented on 2016-07-07 04:50

Oy vey -- I can't believe I submitted such a messy initial commit and I can't believe I really thought I had checked this one off.

The two latest commit brings the package to working order and also defines the pkgver() function through the upstream's version strings and the {ArchWiki} packaging guidelines.

Can someone please confirm that -- at least at-a-glance -- everything is generally working as expected? Thanks!

mirh commented on 2016-06-30 22:11

This is broken because php-cairo last official version still doesn't support php7 (compiles fine with 5.6)
Perhaps you could fetch https://github.com/gtkforphp/cairo/tree/php7 this branch when you detect newer php?

jetak commented on 2016-06-09 01:29

Same problem, lots of build errors and makepkg fails.

OldNuc commented on 2016-03-10 22:57

Many build errors, makepkg failed to build.